Update a Project Release File

PUT /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/releases/{version}/files/{file_id}/

Update metadata of an existing release file. Currently only the name of the file can be changed.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to. Project slugs are unique within each organization.

version (string)
REQUIRED

The version identifier of the release

file_id (string)
REQUIRED

The ID of the release file.

Body Parameters

name (string)
REQUIRED

The new name (full path) of the file.

Scopes

<auth_token> requires one of the following scopes:
  • org:ci
  • project:admin
  • project:releases
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/releases/{version}/files/{file_id}/ \
 -H 'Authorization: Bearer <auth_token>' \
 -X PUT \
 -H 'Content-Type: application/json' \
 -d '{}'
RESPONSESCHEMA
Copied
.
Was this helpful?